

# -------------------------------------------------------------------------
# DMvsVA PAPER 
# Which technique people prefer overall for a DM task?
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Symbols
# -------------------------------------------------------------------------
# PC : Parallel Coordinates
# SM : Scatterplot Matrix
# TV : Tabular Visualization
# -------------------------------------------------------------------------

#rm(list = ls()) # clean up R's memory
digits  <- 2 # number of digits to show after the decimal point.

source("functions.R")

afterDM_data <- read.csv("results/VAandDSS - Final (Responses) - Form Responses 1_p21.csv") 
#afterDM_data[,"Parallel.coordinates"] <-afterDM_data[,"Parallel.coordinates"]/10
#afterDM_data[,"Scatterplot.matrix"] <-afterDM_data[,"Scatterplot.matrix"]/10
#afterDM_data[,"Tabular.visualization"] <-afterDM_data[,"Tabular.visualization"]/10

prefDM_diff_PC_SM_CI  <- meanCI(afterDM_data[,"Parallel.coordinates"] - afterDM_data[,"Scatterplot.matrix"]) 
prefDM_diff_PC_TV_CI  <- meanCI(afterDM_data[,"Parallel.coordinates"] - afterDM_data[,"Tabular.visualization"]) 
prefDM_diff_SM_TV_CI  <- meanCI(afterDM_data[,"Scatterplot.matrix"]   - afterDM_data[,"Tabular.visualization"]) 

prefDM_PC_CI  <- meanCI(afterDM_data[,"Parallel.coordinates"]) 
prefDM_SM_CI   <- meanCI(afterDM_data[,"Scatterplot.matrix"]) 
prefDM_TV_CI   <- meanCI(afterDM_data[,"Tabular.visualization"]) 

# Ploting all CI
results <- data.frame(label = "DM PC Likeness  " , point = prefDM_PC_CI[1], ci.lower = prefDM_PC_CI[2], ci.upper = prefDM_PC_CI[3], type='Other') 
results <- rbind(results, data.frame(label = "DM SM Likeness" , point = prefDM_SM_CI[1], ci.lower = prefDM_SM_CI[2], ci.upper = prefDM_SM_CI[3], type='Other'))  
results <- rbind(results, data.frame(label = "DM TV Likeness" , point = prefDM_TV_CI[1], ci.lower = prefDM_TV_CI[2], ci.upper = prefDM_TV_CI[3], type='Other'))  

results2 <- data.frame(label = "DM PC-SM Likeness Difference " , point = prefDM_diff_PC_SM_CI[1], ci.lower = prefDM_diff_PC_SM_CI[2], ci.upper = prefDM_diff_PC_SM_CI[3], type='Other')
results2 <- rbind(results2, data.frame(label = "DM PC-TV Likeness Difference " , point = prefDM_diff_PC_TV_CI[1], ci.lower = prefDM_diff_PC_TV_CI[2], ci.upper = prefDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV Likeness Difference " , point = prefDM_diff_SM_TV_CI[1], ci.lower = prefDM_diff_SM_TV_CI[2], ci.upper = prefDM_diff_SM_TV_CI[3], type='Other'))  


plot    <- plotAllCI_likertScale(results)
plot

plot    <- plotAllCI(results2, plotRange = c(-4, 4))
plot

# Printing exact values
prefDM_diff_PC_SM_CIform  <- format_ci( prefDM_diff_PC_SM_CI, digits, width = NA, FALSE)
prefDM_diff_PC_TV_CIform  <- format_ci( prefDM_diff_PC_TV_CI, digits, width = NA, FALSE)
prefDM_diff_SM_TV_CIform  <- format_ci( prefDM_diff_SM_TV_CI, digits, width = NA, FALSE)

prefDM_PC_CIform  <- format_ci( prefDM_PC_CI, digits, width = NA, FALSE)
prefDM_SM_CIform  <- format_ci( prefDM_SM_CI, digits, width = NA, FALSE)
prefDM_TV_CIform  <- format_ci( prefDM_TV_CI, digits, width = NA, FALSE)

cat("\n1.# Which technique people prefer overall for a DM task?")
cat("\n2. DM Likeness PC : ",prefDM_PC_CIform)
cat("\n2. DM Likeness SM: " ,prefDM_SM_CIform)
cat("\n2. DM Likeness TV: " ,prefDM_TV_CIform)
cat("\n2. DM Likeness Difference PC-SM: ",prefDM_diff_PC_SM_CIform)
cat("\n2. DM Likeness Difference PC-TV: ",prefDM_diff_PC_TV_CIform)
cat("\n2. DM Likeness Difference SM-TV: ",prefDM_diff_SM_TV_CIform)

