# -------------------------------------------------------------------------
# DMvsVA PAPER 
# How does the visualization expertise relate to DM preferences?
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
# 
# Confidence Intervals (CI) for correlations are taken from here:
# https://www.r-bloggers.com/how-to-calculate-confidence-intervals-of-correlations-with-r/
#
# -------------------------------------------------------------------------
# Symbols
# -------------------------------------------------------------------------
# PC : Parallel Coordinates
# SM : Scatterplot Matrix
# TV : Tabular Visualization
# -------------------------------------------------------------------------

rm(list = ls()) # clean up R's memory
digits  <- 2 # number of digits to show after the decimal point.

source("functions.R")
library(psychometric)

afterDM_data <- read.csv("results/VAandDSS - Final (Responses) - Form Responses 1_p19.csv") 

plot(afterDM_data[c(5,3,6,7)])

correlations <- cor(afterDM_data[c(5,3,6,7)])

print(correlations)

expertise_PC_correlationCI <- CIr(correlations[1,2], n = 19, level = .95)
expertise_SM_correlationCI <- CIr(correlations[1,3], n = 19, level = .95)
expertise_TV_correlationCI <- CIr(correlations[1,4], n = 19, level = .95)

expertise_PC_correlationCI <- c(correlations[1,2], expertise_PC_correlationCI[1],expertise_PC_correlationCI[2])
expertise_SM_correlationCI <- c(correlations[1,3], expertise_SM_correlationCI[1],expertise_SM_correlationCI[2])
expertise_TV_correlationCI <- c(correlations[1,4], expertise_TV_correlationCI[1],expertise_TV_correlationCI[2])

expertise_PC_correlationCI
expertise_SM_correlationCI 
expertise_TV_correlationCI



