
# -------------------------------------------------------------------------
# Pierre
# -------------------------------------------------------------------------

grades1  <- read.csv("tasks/grades-1.csv") 
cormatrix <- cor(grades1[,-1])
correlations <- as.vector(cormatrix)[as.vector(lower.tri(cormatrix))]
positive.correlations <- correlations[correlations > 0]
min(positive.correlations)
max(positive.correlations)

labels <- tolower(substring(colnames(cormatrix), 1, 1))
colnames(cormatrix) <- labels
rownames(cormatrix) <- labels

x <- "m"
y <- "p"
x_index <- min(which(labels == x))
y_index <- min(which(labels == y))

cormatrix[x_index, y_index]

# -------------------------------------------------------------------------
# -------------------------------------------------------------------------

# SQL queries
library(sqldf)
Vtask_data  <- read.csv("results/index_participant_to_task_value_retrievals_p6.csv") 
lala <- sqldf("select * from Vtask_data where taskid is 4")



find_extrema <- holiday_datasets[c(3:10)]
max<- apply(find_extrema,2,max)
min<- apply(find_extrema,2,min)


library(sqldf)

extrema <- sqldf("select datasetName, 
              max(price), max(hotel), max(price), max(hotel), 
              max(archaeological), max(landscape), max(nightlife),  
              max(security), max(sport), max(kids),
              min(price), min(hotel), min(price), min(hotel), 
              min(archaeological), min(landscape), min(nightlife),  
              min(security), min(sport), min(kids)
              from holiday_datasets group by datasetName")

extrema[1,'max(price)']


attrDFrame <- as.data.frame(matrix(NA,nrow=0,ncol=length(attributes)))
colnames(attrDFrame) <- attributes

attrDirDFrame <- as.data.frame(matrix(NA,nrow=0,ncol=length(attributeDirections)))
colnames(attrDirDFrame) <- attributeDirections


partic_packag$scoreBEFORE <- mapply(
  function(datasetName,participantId,package){
    extrema <- getExtremum(datasetName,attributes,max)
    score = 0;
    for(i in 1:dm_preferences_rows){
      if(dm_preferences[i,"participantId"]==participantId && 
           dm_preferences[i,"datasetName"]==datasetName && 
           dm_preferences[i,"beforeTask"]==TRUE){
        score = sum(dm_preferences[i,names(extrema)])
        #score = package[1]
        break;
      }        
    }
    return(score)}, partic_packag$datasetName, partic_packag$id,
  c(partic_packag$price, partic_packag$hotel))



getExtremum <- function(datasetName, attributeName, funct){
  values<- aggregate(cbind(price, hotel,archaeological,landscape,nightlife,security,sport,kids) ~ datasetName, data=holiday_datasets,FUN=funct)  
  return(values[which(values$datasetName == datasetName),attributeName])
}

