

# -------------------------------------------------------------------------
# DMvsVA PAPER 
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Symbols
# -------------------------------------------------------------------------
# PC : Parallel Coordinates
# SM : Scatterplot Matrix
# TV : Tabular Visualization
# -------------------------------------------------------------------------

rm(list = ls()) # clean up R's memory
digits  <- 2 # number of digits to show after the decimal point.

# Ploting all Likert Scale (1-10)  metrics and their differences

source("DM_satisfactionPerTechnique.R")
source("DM_confidencePerTechnique.R")
source("DM_easinessPerTechnique.R")
source("DM_attachmentPerTechnique.R")
source("VA_preferredTechnique.R")
source("DM_preferredTechnique.R")

results1 <- data.frame(label = "DM PC Satisfaction" , point = satisfactionDM_PC_CI[1], ci.lower = satisfactionDM_PC_CI[2], ci.upper = satisfactionDM_PC_CI[3], type='Other') 
results1 <- rbind(results1, data.frame(label = "DM SM Satisfaction" , point = satisfactionDM_SM_CI[1], ci.lower = satisfactionDM_SM_CI[2], ci.upper = satisfactionDM_SM_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM TV Satisfaction" , point = satisfactionDM_TV_CI[1], ci.lower = satisfactionDM_TV_CI[2], ci.upper = satisfactionDM_TV_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM PC confidence" , point = confidenceDM_PC_CI[1], ci.lower = confidenceDM_PC_CI[2], ci.upper = confidenceDM_PC_CI[3], type='Other'))
results1 <- rbind(results1, data.frame(label = "DM SM confidence" , point = confidenceDM_SM_CI[1], ci.lower = confidenceDM_SM_CI[2], ci.upper = confidenceDM_SM_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM TV confidence" , point = confidenceDM_TV_CI[1], ci.lower = confidenceDM_TV_CI[2], ci.upper = confidenceDM_TV_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM PC easiness" , point = easinessDM_PC_CI[1], ci.lower = easinessDM_PC_CI[2], ci.upper = easinessDM_PC_CI[3], type='Other'))
results1 <- rbind(results1, data.frame(label = "DM SM easiness" , point = easinessDM_SM_CI[1], ci.lower = easinessDM_SM_CI[2], ci.upper = easinessDM_SM_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM TV easiness" , point = easinessDM_TV_CI[1], ci.lower = easinessDM_TV_CI[2], ci.upper = easinessDM_TV_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM PC attachment" , point = attachmentDM_PC_CI[1], ci.lower = attachmentDM_PC_CI[2], ci.upper = attachmentDM_PC_CI[3], type='Other'))
results1 <- rbind(results1, data.frame(label = "DM SM attachment" , point = attachmentDM_SM_CI[1], ci.lower = attachmentDM_SM_CI[2], ci.upper = attachmentDM_SM_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM TV attachment" , point = attachmentDM_TV_CI[1], ci.lower = attachmentDM_TV_CI[2], ci.upper = attachmentDM_TV_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "VA PC Likeness " , point = prefVA_PC_CI[1], ci.lower = prefVA_PC_CI[2], ci.upper = prefVA_PC_CI[3], type='Other'))
results1 <- rbind(results1, data.frame(label = "VA SM Likeness " , point = prefVA_SM_CI[1], ci.lower = prefVA_SM_CI[2], ci.upper = prefVA_SM_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "VA TV Likeness " , point = prefVA_TV_CI[1], ci.lower = prefVA_TV_CI[2], ci.upper = prefVA_TV_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM PC Likeness  " , point = prefDM_PC_CI[1], ci.lower = prefDM_PC_CI[2], ci.upper = prefDM_PC_CI[3], type='Other'))
results1 <- rbind(results1, data.frame(label = "DM SM Likeness" , point = prefDM_SM_CI[1], ci.lower = prefDM_SM_CI[2], ci.upper = prefDM_SM_CI[3], type='Other'))  
results1 <- rbind(results1, data.frame(label = "DM TV Likeness" , point = prefDM_TV_CI[1], ci.lower = prefDM_TV_CI[2], ci.upper = prefDM_TV_CI[3], type='Other'))  

results2 <- data.frame(label = "DM PC-SM satisfaction Difference " , point = satisfactionDM_diff_PC_SM_CI[1], ci.lower = satisfactionDM_diff_PC_SM_CI[2], ci.upper = satisfactionDM_diff_PC_SM_CI[3], type='Other')
results2 <- rbind(results2, data.frame(label = "DM PC-TV satisfaction Difference " , point = satisfactionDM_diff_PC_TV_CI[1], ci.lower = satisfactionDM_diff_PC_TV_CI[2], ci.upper = satisfactionDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV satisfaction Difference " , point = satisfactionDM_diff_SM_TV_CI[1], ci.lower = satisfactionDM_diff_SM_TV_CI[2], ci.upper = satisfactionDM_diff_SM_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM PC-SM confidence Difference " , point = confidenceDM_diff_PC_SM_CI[1], ci.lower = confidenceDM_diff_PC_SM_CI[2], ci.upper = confidenceDM_diff_PC_SM_CI[3], type='Other'))
results2 <- rbind(results2, data.frame(label = "DM PC-TV confidence Difference " , point = confidenceDM_diff_PC_TV_CI[1], ci.lower = confidenceDM_diff_PC_TV_CI[2], ci.upper = confidenceDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV confidence Difference " , point = confidenceDM_diff_SM_TV_CI[1], ci.lower = confidenceDM_diff_SM_TV_CI[2], ci.upper = confidenceDM_diff_SM_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM PC-SM easiness Difference " , point = easinessDM_diff_PC_SM_CI[1], ci.lower = easinessDM_diff_PC_SM_CI[2], ci.upper = easinessDM_diff_PC_SM_CI[3], type='Other'))
results2 <- rbind(results2, data.frame(label = "DM PC-TV easiness Difference " , point = easinessDM_diff_PC_TV_CI[1], ci.lower = easinessDM_diff_PC_TV_CI[2], ci.upper = easinessDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV easiness Difference " , point = easinessDM_diff_SM_TV_CI[1], ci.lower = easinessDM_diff_SM_TV_CI[2], ci.upper = easinessDM_diff_SM_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM PC-SM attachment Difference " , point = attachmentDM_diff_PC_SM_CI[1], ci.lower = attachmentDM_diff_PC_SM_CI[2], ci.upper = attachmentDM_diff_PC_SM_CI[3], type='Other'))
results2 <- rbind(results2, data.frame(label = "DM PC-TV attachment Difference " , point = attachmentDM_diff_PC_TV_CI[1], ci.lower = attachmentDM_diff_PC_TV_CI[2], ci.upper = attachmentDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV attachment Difference " , point = attachmentDM_diff_SM_TV_CI[1], ci.lower = attachmentDM_diff_SM_TV_CI[2], ci.upper = attachmentDM_diff_SM_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "VA PC-SM likeness Difference " , point = prefVA_diff_PC_SM_CI[1], ci.lower = prefVA_diff_PC_SM_CI[2], ci.upper = prefVA_diff_PC_SM_CI[3], type='Other'))
results2 <- rbind(results2, data.frame(label = "VA PC-TV likeness Difference " , point = prefVA_diff_PC_TV_CI[1], ci.lower = prefVA_diff_PC_TV_CI[2], ci.upper = prefVA_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "VA SM-TV likeness Difference " , point = prefVA_diff_SM_TV_CI[1], ci.lower = prefVA_diff_SM_TV_CI[2], ci.upper = prefVA_diff_SM_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM PC-SM likeness Difference " , point = prefDM_diff_PC_SM_CI[1], ci.lower = prefDM_diff_PC_SM_CI[2], ci.upper = prefDM_diff_PC_SM_CI[3], type='Other'))
results2 <- rbind(results2, data.frame(label = "DM PC-TV likeness Difference " , point = prefDM_diff_PC_TV_CI[1], ci.lower = prefDM_diff_PC_TV_CI[2], ci.upper = prefDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV likeness Difference " , point = prefDM_diff_SM_TV_CI[1], ci.lower = prefDM_diff_SM_TV_CI[2], ci.upper = prefDM_diff_SM_TV_CI[3], type='Other'))  

#results1 <-  rbind(results1,results2)
#plot    <- plotAllCI_fixedBreaks(results1, plotRange = c(-10, 10), breaks=c(-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10)) 
#plot

# Means

plot    <- plotAllCI_fixedBreaks(results1, plotRange = c(0, 10), breaks=c(0,1,2,3,4,5,6,7,8,9,10)) 
plot

# Differences

plot    <- plotAllCI_fixedBreaks(results2, plotRange = c(-4, 4), breaks=c(-4,-3,-2,-1,0,1,2,3,4)) 
plot


# Plot Time

source("VA_vTask_fasterTechnique.R")
source("VA_rTask_fasterTechnique.R")
source("VA_cTask_fasterTechnique.R")
source("Expl_DM_fasterTechnique.R")

results3 <- data.frame(label = "Value task: Mean time PC" , point = Vtask_mean_PC[1], ci.lower = Vtask_mean_PC[2], ci.upper = Vtask_mean_PC[3], type='Other' )
results3 <- rbind(results3, data.frame(label = "Value task: Mean time SM" , point = Vtask_mean_SM[1], ci.lower = Vtask_mean_SM[2], ci.upper = Vtask_mean_SM[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "Value task: Mean time TV" , point = Vtask_mean_TV[1], ci.lower = Vtask_mean_TV[2], ci.upper = Vtask_mean_TV[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "Range task: Mean time PC" , point = Rtask_mean_PC[1], ci.lower = Rtask_mean_PC[2], ci.upper = Rtask_mean_PC[3], type='Other'))
results3 <- rbind(results3, data.frame(label = "Range task: Mean time SM" , point = Rtask_mean_SM[1], ci.lower = Rtask_mean_SM[2], ci.upper = Rtask_mean_SM[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "Range task: Mean time TV" , point = Rtask_mean_TV[1], ci.lower = Rtask_mean_TV[2], ci.upper = Rtask_mean_TV[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "Correlation task: Mean time PC" , point = Ctask_mean_PC[1], ci.lower = Ctask_mean_PC[2], ci.upper = Ctask_mean_PC[3], type='Other'))
results3 <- rbind(results3, data.frame(label = "Correlation task: Mean time SM" , point = Ctask_mean_SM[1], ci.lower = Ctask_mean_SM[2], ci.upper = Ctask_mean_SM[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "Correlation task: Mean time TV" , point = Ctask_mean_TV[1], ci.lower = Ctask_mean_TV[2], ci.upper = Ctask_mean_TV[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "DM task: Mean time PC" , point = DMtask_mean_PC[1], ci.lower = DMtask_mean_PC[2], ci.upper = DMtask_mean_PC[3], type='Other'))
results3 <- rbind(results3, data.frame(label = "DM task: Mean time SM" , point = DMtask_mean_SM[1], ci.lower = DMtask_mean_SM[2], ci.upper = DMtask_mean_SM[3], type='Other'))  
results3 <- rbind(results3, data.frame(label = "DM task: Mean time TV" , point = DMtask_mean_TV[1], ci.lower = DMtask_mean_TV[2], ci.upper = DMtask_mean_TV[3], type='Other'))  

plot    <- plotAllCI_fixedBreaks(results3, plotRange = c(0, 200), breaks=c(0,10,20,30,40,50,60,70,80,90,100,110,120,130,140,150,160,170,180,190,200)) 
plot

results4 <- data.frame(label = "Value task: Ratio time PC/SM" , point = Vtask_diff_PCminusSM[1], ci.lower = Vtask_diff_PCminusSM[2], ci.upper = Vtask_diff_PCminusSM[3], type='Other') 
results4 <- rbind(results4, data.frame(label = "Value task: Ratio time PC/TV" , point = Vtask_diff_PCminusTV[1], ci.lower = Vtask_diff_PCminusTV[2], ci.upper = Vtask_diff_PCminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "Value task: Ratio time SM/TV" , point = Vtask_diff_SMminusTV[1], ci.lower = Vtask_diff_SMminusTV[2], ci.upper = Vtask_diff_SMminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "Range task: Ratio time PC/SM" , point = Rtask_diff_PCminusSM[1], ci.lower = Rtask_diff_PCminusSM[2], ci.upper = Rtask_diff_PCminusSM[3], type='Other')) 
results4 <- rbind(results4, data.frame(label = "Range task: Ratio time PC/TV" , point = Rtask_diff_PCminusTV[1], ci.lower = Rtask_diff_PCminusTV[2], ci.upper = Rtask_diff_PCminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "Range task: Ratio time SM/TV" , point = Rtask_diff_SMminusTV[1], ci.lower = Rtask_diff_SMminusTV[2], ci.upper = Rtask_diff_SMminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "Correlation task: Ratio time PC/SM" , point = Ctask_diff_PCminusSM[1], ci.lower = Ctask_diff_PCminusSM[2], ci.upper = Ctask_diff_PCminusSM[3], type='Other'))
results4 <- rbind(results4, data.frame(label = "Correlation task: Ratio time PC/TV" , point = Ctask_diff_PCminusTV[1], ci.lower = Ctask_diff_PCminusTV[2], ci.upper = Ctask_diff_PCminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "Correlation task: Ratio time SM/TV" , point = Ctask_diff_SMminusTV[1], ci.lower = Ctask_diff_SMminusTV[2], ci.upper = Ctask_diff_SMminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "DM task: Ratio time PC/SM" , point = DMtask_diff_PCminusSM[1], ci.lower = DMtask_diff_PCminusSM[2], ci.upper = DMtask_diff_PCminusSM[3], type='Other')) 
results4 <- rbind(results4, data.frame(label = "DM task: Ratio time PC/TV" , point = DMtask_diff_PCminusTV[1], ci.lower = DMtask_diff_PCminusTV[2], ci.upper = DMtask_diff_PCminusTV[3], type='Other'))  
results4 <- rbind(results4, data.frame(label = "DM task: Ratio time SM/TV" , point = DMtask_diff_SMminusTV[1], ci.lower = DMtask_diff_SMminusTV[2], ci.upper = DMtask_diff_SMminusTV[3], type='Other'))  


plot    <- plotAllCI_fixedBreaks(results4, plotRange = c(0, 13), breaks=c(0,1,2,3,4,5,6,7,8,9,10,11,12,13,14)) 
plot

# Plot Accuracy

source("VA_vTask_accurateTechnique.R")
source("VA_rTask_accurateTechnique.R")
source("VA_cTask_accurateTechnique.R")
source("DM_accurateTechnique.R") # takes long time

results5 <- data.frame(label = "Value task: Mean accuracy PC" , point = Vtask_PC_mean_accuracy[1], ci.lower = Vtask_PC_mean_accuracy[2], ci.upper = Vtask_PC_mean_accuracy[3], type='Other' )
results5 <- rbind(results5, data.frame(label = "Value task: mean accuracy SM" , point = Vtask_SM_mean_accuracy[1], ci.lower = Vtask_SM_mean_accuracy[2], ci.upper = Vtask_SM_mean_accuracy[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "Value task: mean accuracy TV" , point = Vtask_TV_mean_accuracy[1], ci.lower = Vtask_TV_mean_accuracy[2], ci.upper = Vtask_TV_mean_accuracy[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "Range task: mean accuracy PC" , point = Rtask_PC_mean_accuracy[1], ci.lower = Rtask_PC_mean_accuracy[2], ci.upper = Rtask_PC_mean_accuracy[3], type='Other'))
results5 <- rbind(results5, data.frame(label = "Range task: mean accuracy SM" , point = Rtask_SM_mean_accuracy[1], ci.lower = Rtask_SM_mean_accuracy[2], ci.upper = Rtask_SM_mean_accuracy[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "Range task: mean accuracy TV" , point = Rtask_TV_mean_accuracy[1], ci.lower = Rtask_TV_mean_accuracy[2], ci.upper = Rtask_TV_mean_accuracy[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "Correlation task: mean accuracy PC" , point = Ctask_PC_mean_accuracy[1], ci.lower = Ctask_PC_mean_accuracy[2], ci.upper = Ctask_PC_mean_accuracy[3], type='Other'))
results5 <- rbind(results5, data.frame(label = "Correlation task: mean accuracy SM" , point = Ctask_SM_mean_accuracy[1], ci.lower = Ctask_SM_mean_accuracy[2], ci.upper = Ctask_SM_mean_accuracy[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "Correlation task: mean accuracy TV" , point = Ctask_TV_mean_accuracy[1], ci.lower = Ctask_TV_mean_accuracy[2], ci.upper = Ctask_TV_mean_accuracy[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "DM task: mean accuracy PC" , point =consistencyDM_PC_CI[1], ci.lower = consistencyDM_PC_CI[2], ci.upper = consistencyDM_PC_CI[3], type='Other'))
results5 <- rbind(results5, data.frame(label = "DM task: mean accuracy SM" , point = consistencyDM_SM_CI[1], ci.lower = consistencyDM_SM_CI[2], ci.upper = consistencyDM_SM_CI[3], type='Other'))  
results5 <- rbind(results5, data.frame(label = "DM task: mean accuracy TV" , point = consistencyDM_TV_CI[1], ci.lower = consistencyDM_TV_CI[2], ci.upper = consistencyDM_TV_CI[3], type='Other'))  

plot    <- plotAllCI(results5, plotRange = c(0, 1)) 
plot

results6 <- data.frame(label = "Value task: PC-SM accuracy difference" , point = Vtask_diff_PCminusSM_accuracy[1], ci.lower = Vtask_diff_PCminusSM_accuracy[2], ci.upper = Vtask_diff_PCminusSM_accuracy[3], type='Other') 
results6 <- rbind(results6, data.frame(label = "Value task: PC-TV accuracy difference" , point = Vtask_diff_PCminusTV_accuracy[1], ci.lower = Vtask_diff_PCminusTV_accuracy[2], ci.upper = Vtask_diff_PCminusTV_accuracy[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "Value task: SM-TV accuracy difference" , point = Vtask_diff_SMminusTV_accuracy[1], ci.lower = Vtask_diff_SMminusTV_accuracy[2], ci.upper = Vtask_diff_SMminusTV_accuracy[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "Range task: PC-SM accuracy difference" , point = Rtask_diff_PCminusSM_accuracy[1], ci.lower = Rtask_diff_PCminusSM_accuracy[2], ci.upper = Rtask_diff_PCminusSM_accuracy[3], type='Other'))
results6 <- rbind(results6, data.frame(label = "Range task: PC-TV accuracy difference" , point = Rtask_diff_PCminusTV_accuracy[1], ci.lower = Rtask_diff_PCminusTV_accuracy[2], ci.upper = Rtask_diff_PCminusTV_accuracy[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "Range task: SM-TV accuracy difference" , point = Rtask_diff_SMminusTV_accuracy[1], ci.lower = Rtask_diff_SMminusTV_accuracy[2], ci.upper = Rtask_diff_SMminusTV_accuracy[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "Correlation task: PC-SM accuracy difference" , point = Ctask_diff_PCminusSM_accuracy[1], ci.lower = Ctask_diff_PCminusSM_accuracy[2], ci.upper = Ctask_diff_PCminusSM_accuracy[3], type='Other')) 
results6 <- rbind(results6, data.frame(label = "Correlation task: PC-TV accuracy difference" , point = Ctask_diff_PCminusTV_accuracy[1], ci.lower = Ctask_diff_PCminusTV_accuracy[2], ci.upper = Ctask_diff_PCminusTV_accuracy[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "Correlation task: SM-TV accuracy difference" , point = Ctask_diff_SMminusTV_accuracy[1], ci.lower = Ctask_diff_SMminusTV_accuracy[2], ci.upper = Ctask_diff_SMminusTV_accuracy[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "DM task: PC-SM accuracy difference " , point = consistencyDM_diff_PC_SM_CI[1], ci.lower = consistencyDM_diff_PC_SM_CI[2], ci.upper = consistencyDM_diff_PC_SM_CI[3], type='Other'))
results6 <- rbind(results6, data.frame(label = "DM task: PC-TV accuracy difference " , point = consistencyDM_diff_PC_TV_CI[1], ci.lower = consistencyDM_diff_PC_TV_CI[2], ci.upper = consistencyDM_diff_PC_TV_CI[3], type='Other'))  
results6 <- rbind(results6, data.frame(label = "DM task: SM-TV accuracy difference " , point = consistencyDM_diff_SM_TV_CI[1], ci.lower = consistencyDM_diff_SM_TV_CI[2], ci.upper = consistencyDM_diff_SM_TV_CI[3], type='Other'))  

results5 <-  rbind(results5,results6)
plot    <- plotAllCI_fixedBreaks(results5, plotRange = c(-0.4, 1), breaks=c(-0.4,-0.3,-0.2,-0.1,0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1)) 
plot


plot    <- plotAllCI(results6, plotRange = c(-1, 1))
plot
